Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.algorithms.connectivity
Class KNeighborhoodExtractor

    java.lang.Object
      edu.uci.ics.jung.algorithms.connectivity.KNeighborhoodExtractor

public class KNeighborhoodExtractor
extends Object

Extracts the subgraph (neighborhood) from a graph whose nodes are no more than distance k away from at least one of the root nodes (starting vertices).

Author:
  Scott White and Danyel Fisher

Constructor Summary
`KNeighborhoodExtractor()`

Method Summary
`static Graph` | `extractInDirectedNeighborhood(DirectedGraph graph, Set rootNodes, int radiusK)` Extracts the subgraph comprised of all vertices within distance K (in-directed) from any node in rootNodes.
`static Graph` | `extractNeighborhood(Graph graph, Set rootNodes, int radiusK)` Extracts the subgraph comprised of all vertices within distance K (undirected) from any node in rootNodes.
`static Graph` | `extractOutDirectedNeighborhood(DirectedGraph graph, Set rootNodes, int radiusK)` Extracts the subgraph comprised of all vertices within distance K (out-directed) from any node in rootNodes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KNeighborhoodExtractor

    public KNeighborhoodExtractor()

Method Detail

### extractNeighborhood

    public static Graph extractNeighborhood(Graph graph,
                                            Set rootNodes,
                                            int radiusK)

  Extracts the subgraph comprised of all vertices within distance K (undirected) from any node in rootNodes.

  Parameters:
    `graph` - the graph whose subgraph is to be extracted
    `rootNodes` - the set of root nodes (starting vertices) in the graph
    `radiusK` - the radius of the subgraph to be extracted

### extractOutDirectedNeighborhood

    public static Graph extractOutDirectedNeighborhood(DirectedGraph graph,
                                                       Set rootNodes,
                                                       int radiusK)

  Extracts the subgraph comprised of all vertices within distance K (out-directed) from any node in rootNodes.

  Parameters:
    `graph` - the graph whose subgraph is to be extracted
    `rootNodes` - the set of root nodes (starting vertices) in the graph
    `radiusK` - the radius of the subgraph to be extracted

### extractInDirectedNeighborhood

    public static Graph extractInDirectedNeighborhood(DirectedGraph graph,
                                                      Set rootNodes,
                                                      int radiusK)

  Extracts the subgraph comprised of all vertices within distance K (in-directed) from any node in rootNodes.

  Parameters:
    `graph` - the graph whose subgraph is to be extracted
    `rootNodes` - the set of root nodes (starting vertices) in the graph
    `radiusK` - the radius of the subgraph to be extracted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD